NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.GeometricUtilities.AlignmentMethodBuilder Class Reference

Represents a NXOpen.GeometricUtilities.AlignmentMethodBuilder More...

Inheritance diagram for NXOpen.GeometricUtilities.AlignmentMethodBuilder:
NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  AlignFillerSurfaceType { NoFiller, Cone, Cylinder, Trimmed }
 Filler surface types More...
 
enum  Type {
  Parameter, ArcLength, Points, Distance,
  Angle, SpineCurve, SplinePoints, Segments,
  Developable
}
 Alignment types supported More...
 

Public Member Functions

unsafe int AddPoint (NXOpen.GeometricUtilities.OnPathDimensionBuilder alignPoint)
 Insert a given point, and create corresponding points on other sections. More...
 
unsafe void AddSection (int sectionIndex, NXOpen.Section sec)
 Add a section at the given index among existing sections. More...
 
unsafe void ComputeDefaultPoints ()
 Calculate default alignment points on existing sections. More...
 
unsafe
NXOpen.GeometricUtilities.OnPathDimensionBuilder 
CreateOnPathDimBuilder (NXOpen.Section sec, NXOpen.Point3d pnt)
 Set the sections. More...
 
unsafe
NXOpen.GeometricUtilities.OnPathDimensionBuilder[] 
GetAllPoints (out int numSection)
 Get all of the alignment points, returns as a single dimension array More...
 
unsafe
NXOpen.GeometricUtilities.OnPathDimensionBuilder 
GetPoint (int sectionIndex, int pointIndex)
 Gets an alignment point for a section More...
 
unsafe void RemoveAllPoints ()
 Remove all alignment points. More...
 
unsafe void RemovePoint (NXOpen.GeometricUtilities.OnPathDimensionBuilder alignPoint)
 Remove given point, also remove corresponding points on other sections More...
 
unsafe void RemoveSection (NXOpen.Section sec)
 Find and delete the section More...
 
unsafe void RemoveSectionAtIndex (int secIndex)
 Remove section at given index More...
 
unsafe void SetAlignPoints (NXOpen.GeometricUtilities.OnPathDimensionBuilder[] alignPoints)
 Set the Alignment Points when sections have been set up. More...
 
unsafe void SetSections (NXOpen.Section[] sections)
 Set the sections. More...
 
unsafe void UnloadSections ()
 Unload sections held by the builder More...
 
unsafe void UpdateSectionAtIndex (int secIndex)
 Update section at given index More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.Axis AlignAxis [get, set]
 Returns or sets the alignment axis More...
 
unsafe NXOpen.Section AlignCurve [get]
 Returns the align curve More...
 
unsafe
NXOpen.GeometricUtilities.AlignmentMethodBuilder.Type 
AlignType [get, set]
 Returns or sets the alignment type More...
 
unsafe NXOpen.Direction AlignVector [get, set]
 Returns or sets the alignment vector More...
 
unsafe
NXOpen.GeometricUtilities.AlignmentMethodBuilder.AlignFillerSurfaceType 
EndAlignFillerSurfaceOption [get, set]
 Returns or sets the end align filler surface option More...
 
unsafe int NumberOfPointsPerSection [get]
 Returns the number of alignment points in each section. More...
 
unsafe int NumberOfSections [get]
 Returns the number of section in the alignment point block More...
 
unsafe
NXOpen.GeometricUtilities.AlignmentMethodBuilder.AlignFillerSurfaceType 
StartAlignFillerSurfaceOption [get, set]
 Returns or sets the start align filler surface option More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.GeometricUtilities.AlignmentMethodBuilder

Created in NX5.0.0

Member Enumeration Documentation

Filler surface types

Enumerator
NoFiller 

No end filler surface

Cone 

Generalized conical developable surface.

Cylinder 

Generalized cylindrical developable surface.

Trimmed 

Trimmed developable surface.

Alignment types supported

Enumerator
Parameter 
ArcLength 
Points 
Distance 
Angle 
SpineCurve 
SplinePoints 
Segments 
Developable 

Member Function Documentation

unsafe int NXOpen.GeometricUtilities.AlignmentMethodBuilder.AddPoint ( NXOpen.GeometricUtilities.OnPathDimensionBuilder  alignPoint)
inline

Insert a given point, and create corresponding points on other sections.

The points on other sections are computed based on existing alignment points

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
alignPointPt to insert
Returns
Index of the newly added point on each section
unsafe void NXOpen.GeometricUtilities.AlignmentMethodBuilder.AddSection ( int  sectionIndex,
NXOpen.Section  sec 
)
inline

Add a section at the given index among existing sections.

Computes points for other sections

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
sectionIndexWhere to insert. New section will have this index
secThe New section
unsafe void NXOpen.GeometricUtilities.AlignmentMethodBuilder.ComputeDefaultPoints ( )
inline

Calculate default alignment points on existing sections.

Pre-existing alignment points destroyed

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.GeometricUtilities.OnPathDimensionBuilder NXOpen.GeometricUtilities.AlignmentMethodBuilder.CreateOnPathDimBuilder ( NXOpen.Section  sec,
NXOpen.Point3d  pnt 
)
inline

Set the sections.

Does not compute default alignment

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
secThe section on which to create the builder
pntThe point on the section
Returns
The generated onPathDim
unsafe NXOpen.GeometricUtilities.OnPathDimensionBuilder [] NXOpen.GeometricUtilities.AlignmentMethodBuilder.GetAllPoints ( out int  numSection)
inline

Get all of the alignment points, returns as a single dimension array

Created in NX5.0.0

License requirements: None.

Parameters
numSectionNumber of sections returned
Returns
Gets all the points, numPoints is total number of points, not points per section
unsafe NXOpen.GeometricUtilities.OnPathDimensionBuilder NXOpen.GeometricUtilities.AlignmentMethodBuilder.GetPoint ( int  sectionIndex,
int  pointIndex 
)
inline

Gets an alignment point for a section

Created in NX5.0.1

License requirements: None.

Parameters
sectionIndexSection on which to query the alignment point
pointIndexAlignment point index
Returns
unsafe void NXOpen.GeometricUtilities.AlignmentMethodBuilder.RemoveAllPoints ( )
inline

Remove all alignment points.

Keeps the sections

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

unsafe void NXOpen.GeometricUtilities.AlignmentMethodBuilder.RemovePoint ( NXOpen.GeometricUtilities.OnPathDimensionBuilder  alignPoint)
inline

Remove given point, also remove corresponding points on other sections

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
alignPointPt do delete
unsafe void NXOpen.GeometricUtilities.AlignmentMethodBuilder.RemoveSection ( NXOpen.Section  sec)
inline

Find and delete the section

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
secExisting section within the Alignment
unsafe void NXOpen.GeometricUtilities.AlignmentMethodBuilder.RemoveSectionAtIndex ( int  secIndex)
inline

Remove section at given index

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
secIndexThe index of the section to remove
unsafe void NXOpen.GeometricUtilities.AlignmentMethodBuilder.SetAlignPoints ( NXOpen.GeometricUtilities.OnPathDimensionBuilder[]  alignPoints)
inline

Set the Alignment Points when sections have been set up.

The incoming points are organized section by section. The points parent section match the pre-existing sections held by this object

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
alignPointsSets the points on the section, numPoints is total number of points for all sections
unsafe void NXOpen.GeometricUtilities.AlignmentMethodBuilder.SetSections ( NXOpen.Section[]  sections)
inline

Set the sections.

Does not compute default alignment

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
sectionsArray of sections
unsafe void NXOpen.GeometricUtilities.AlignmentMethodBuilder.UnloadSections ( )
inline

Unload sections held by the builder

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

unsafe void NXOpen.GeometricUtilities.AlignmentMethodBuilder.UpdateSectionAtIndex ( int  secIndex)
inline

Update section at given index

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
secIndexThe index of the section to remove
unsafe bool NXOpen.GeometricUtilities.AlignmentMethodBuilder.Validate ( )
inline

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.

Created in NX3.0.1

License requirements: None.

Returns
Was self validation successful

Implements NXOpen.GeometricUtilities.IComponentBuilder.

Property Documentation

unsafe NXOpen.Axis NXOpen.GeometricUtilities.AlignmentMethodBuilder.AlignAxis
getset

Returns or sets the alignment axis

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Section NXOpen.GeometricUtilities.AlignmentMethodBuilder.AlignCurve
get

Returns the align curve

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.AlignmentMethodBuilder.Type NXOpen.GeometricUtilities.AlignmentMethodBuilder.AlignType
getset

Returns or sets the alignment type

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Direction NXOpen.GeometricUtilities.AlignmentMethodBuilder.AlignVector
getset

Returns or sets the alignment vector

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.GeometricUtilities.AlignmentMethodBuilder.AlignFillerSurfaceType NXOpen.GeometricUtilities.AlignmentMethodBuilder.EndAlignFillerSurfaceOption
getset

Returns or sets the end align filler surface option

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe int NXOpen.GeometricUtilities.AlignmentMethodBuilder.NumberOfPointsPerSection
get

Returns the number of alignment points in each section.

All the sections always have same number of alignment points

Created in NX5.0.1

License requirements: None.

unsafe int NXOpen.GeometricUtilities.AlignmentMethodBuilder.NumberOfSections
get

Returns the number of section in the alignment point block

Created in NX5.0.1

License requirements: None.

unsafe NXOpen.GeometricUtilities.AlignmentMethodBuilder.AlignFillerSurfaceType NXOpen.GeometricUtilities.AlignmentMethodBuilder.StartAlignFillerSurfaceOption
getset

Returns or sets the start align filler surface option

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.